#include<bits/stdc++.h>
template<typename _Tp>void read(_Tp &x){
	char ch=getchar();bool f=0;while(!isdigit(ch))f|=ch=='-',ch=getchar();
	x=ch&15,ch=getchar();while(isdigit(ch))x=x*10+(ch&15),ch=getchar();
	if(f)x=-x;
}
template<typename _Tp,typename ...Args>void read(_Tp &x,Args &...args){read(x),read(args...);}
std::mt19937 rnd(std::chrono::steady_clock::now().time_since_epoch().count());
int main(){
	int T=100;T=4;printf("%d\n",T);
	while(T--){
		int n=rnd()%100+1;n=5e4;printf("%d\n",n);
		for(int i=1;i<=n;++i)printf("%d%c",rnd()%500+1," \n"[i==n]);
	}
	return 0;
}
